Overnight last night we upgraded our dogfood server to the latest build of Team Foundation prior to our upcoming Release Candidate.

The upgrade went pretty smoothly and we're all back up and running this morning. However, users of old clients are hitting an issue which I though might be worth bringing to a wider audience.

The error you'll see is "Server did not recognize the value of HTTP Header SOAPAction"

In this Release Candidate we have upped the version number of our web services, because beta clients are not compatible with the final RC/RTM server. You might see this if you upgrade your server to the RC build but some of your users don't update their clients. The solution is to uninstall Team Explorer, and reinstall the RC or RTM Team Explorer.

The worst case of this will be if you've got a solution with multiple projects bound to source control - you'll see one of these error boxes for each project in the solution.

This is the last time we'll do this. Barring some major unforseen issue cropping up, the RC clients will be compatible with the final RTM server (although obviously you'll want to upgrade clients to the final bits when they are available).